up:
  comments: 'Migrates the existing categoryFilters on former Teaser Lists to be filtered by topics!'
  migration:
    -
      filters:
        -
          type: 'NodeType'
          settings:
            nodeType: 'Newland.Toubiz.Poi.Neos:TeaserList'
      transformations:
        -
          type: 'RenameProperty'
          settings:
            from: 'categoryFilter'
            to: 'topicFilter'

        -
          type: 'Newland\Toubiz\Poi\Neos\Migration\Transformations\PrefixCategories'
          settings:
            property: 'topicFilter'
            topicType: 'category'

down:
  comments: 'No down migration available'
